"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Unauthorized = exports.NotFound = exports.AppError = void 0;
/* eslint-disable max-classes-per-file */
class AppError extends Error {
    constructor(message) {
        super(message instanceof Error ? message.message : message);
        this.status = 200;
        this.name = 'AppError';
    }
}
exports.AppError = AppError;
class NotFound extends AppError {
    constructor(message) {
        super(message || 'Not Found');
        this.status = 404;
        this.name = 'NotFoundError';
    }
}
exports.NotFound = NotFound;
class Unauthorized extends AppError {
    constructor(message) {
        super(message || 'Unauthorized');
        this.status = 401;
        this.name = 'UnauthorizedError';
    }
}
exports.Unauthorized = Unauthorized;
