"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.redisClient = exports.sequelize = void 0;
const redis_1 = require("redis");
const sequelize_1 = require("sequelize");
const config_1 = require("../config");
exports.sequelize = new sequelize_1.Sequelize(config_1.config.db.database, config_1.config.db.username, config_1.config.db.password, config_1.config.db);
exports.redisClient = (0, redis_1.createClient)({
    socket: {
        host: config_1.config.redis.host,
        port: config_1.config.redis.port,
        reconnectStrategy: (retries) => {
            if (retries > 10) {
                return new Error('Retry count exhausted');
            }
            return retries * 100;
        },
    },
    password: config_1.config.redis.password,
    database: config_1.config.redis.db,
});
exports.redisClient.connect();
